# All files / src/utils getAuctionedByAddr.js

100% Statements 5/5
100% Branches 2/2
100% Functions 3/3
100% Lines 5/5

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15

    14x

    14x
    3x
    5x
    5x

     /**
     * Copyright (c) 2018-present, Leap DAO (leapdao.org)
     *
     * This source code is licensed under the Mozilla Public License Version 2.0
     * found in the LICENSE file in the root directory of this source tree.
     */

    const addrCmp = require('./addrCmp');

    module.exports = (slots, address) => {
      return slots
        .filter(s => s)
        .filter(slot => slot.newSigner && addrCmp(slot.newSigner, address));
    };